Package org.apache.sysds.runtime.compress.colgroup.scheme

## Class SDCScheme

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme
  - - org.apache.sysds.runtime.compress.colgroup.scheme.SDCScheme

All Implemented Interfaces:
  `Cloneable`, `ICLAScheme`

Direct Known Subclasses:
  `SDCSchemeMC`, `SDCSchemeSC`

    public abstract class SDCScheme
    extends ACLAScheme

### Field Summary

### Fields inherited from interface org.apache.sysds.runtime.compress.colgroup.scheme.ICLAScheme

`LOG`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SDCScheme` `create​(ASDC g)`
`static SDCScheme` `create​(ASDCZero g)`
`String` `toString()`

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme

`clone, encode, encode, encodeT, encodeT, update, update, updateAndEncode, updateAndEncode, updateAndEncodeT, updateAndEncodeT, updateT, updateT`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### create

    public static SDCScheme create​(ASDC g)

#### create

    public static SDCScheme create​(ASDCZero g)

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`